/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.log.resourcebundle;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * メッセージ定義[BlancoLogProgram]が内部的に利用するリソースバンドルクラス。
 *
 * リソースバンドル定義: [BlancoLogProgramMessage]。<BR>
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoLogProgramMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoLogProgramMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoLogProgramMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoLogProgramMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/log/resourcebundle/BlancoLogProgramMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoLogProgramMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoLogProgramMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoLogProgramMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/log/resourcebundle/BlancoLogProgramMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoLogProgramMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoLogProgramMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoLogProgramMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/log/resourcebundle/BlancoLogProgramMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB001]
     *
     * [[MBLGB001] バイナリログファイルの出力先となる基準ディレクトリ[{0}]の作成に失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB001] バイナリログファイルの出力先となる基準ディレクトリ[{0}]の作成に失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB002]
     *
     * [[MBLGB002] バイナリログファイルの出力先となるディレクトリ(年月日つき)[{0}]の作成に失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb002(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB002] バイナリログファイルの出力先となるディレクトリ(年月日つき)[{0}]の作成に失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB002");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB003]
     *
     * [[MBLGB003] バイナリログファイルを出力するファイル[{0}]の新規作成に失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb003(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB003] バイナリログファイルを出力するファイル[{0}]の新規作成に失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB003");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB004]
     *
     * [[MBLGB004] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb004(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB004] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB004");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB005]
     *
     * [[MBLGB005] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb005(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB005] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB005");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB006]
     *
     * [[MBLGB006] バイナリログファイルを出力するファイル[{0}]への書き込みに失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB006]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb006(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB006] バイナリログファイルを出力するファイル[{0}]への書き込みに失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB006");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB007]
     *
     * [[MBLGB007] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB007]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb007(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB007] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB007");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB008]
     *
     * [[MBLGB008] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB008]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb008(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB008] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB008");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB009]
     *
     * [[MBLGB009] バイナリログファイルを出力するファイル[{0}]のロック取得に失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB009]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb009(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB009] バイナリログファイルを出力するファイル[{0}]のロック取得に失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB009");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB010]
     *
     * [[MBLGB010] バイナリログファイルを出力するファイル[{0}]のロック解放に失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB010]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb010(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB010] バイナリログファイルを出力するファイル[{0}]のロック解放に失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB010");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB011]
     *
     * [[MBLGB011] バイナリログファイルを出力するファイル[{0}]のチャネルクローズに失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB011]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb011(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB011] バイナリログファイルを出力するファイル[{0}]のチャネルクローズに失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB011");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGB012]
     *
     * [[MBLGB012] バイナリログファイルを出力するファイル[{0}]のクローズに失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB012]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb012(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB012] バイナリログファイルを出力するファイル[{0}]のクローズに失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB012");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGLG01]
     *
     * [[MBLGLG01] Apache log4j クラスの読み込みに失敗しました。クラスパスに Apache log4j の jarファイルが適切に含まれていることを確認してください:{0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGLG01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblglg01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGLG01] Apache log4j クラスの読み込みに失敗しました。クラスパスに Apache log4j の jarファイルが適切に含まれていることを確認してください:{0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGLG01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCF01]
     *
     * [ThreadDeath によりログ展開できません。] (ja)<br>
     *
     * @return key[MBLGCF01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgcf01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "ThreadDeath によりログ展開できません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCF01");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH01]
     *
     * [Java システムプロパティー[{0}]が指定されていません。処理続行できません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "Java システムプロパティー[{0}]が指定されていません。処理続行できません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH02]
     *
     * [Java システムプロパティー[{0}]で指定されたディレクトリは存在しません:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch02(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "Java システムプロパティー[{0}]で指定されたディレクトリは存在しません:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH03]
     *
     * [予期せぬ入出力例外が発生:{0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch03(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "予期せぬ入出力例外が発生:{0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH03");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH04]
     *
     * [ファイル[{0}]のロック取得できませんでした。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch04(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル[{0}]のロック取得できませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH04");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH05]
     *
     * [指定のログ・ディレクトリー[{0}]は存在しません。ログ出力をあきらめます。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH05]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch05(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定のログ・ディレクトリー[{0}]は存在しません。ログ出力をあきらめます。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH05");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH06]
     *
     * [指定のログ・ディレクトリー[{0}]は実際にはディレクトリーではありません。ログ出力をあきらめます。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH06]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch06(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定のログ・ディレクトリー[{0}]は実際にはディレクトリーではありません。ログ出力をあきらめます。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH06");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH07]
     *
     * [ログファイル[{0}]の作成に失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH07]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch07(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ログファイル[{0}]の作成に失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH07");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH08]
     *
     * [ログファイル[{0}]の作成に失敗しました。入出力例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH08]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch08(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ログファイル[{0}]の作成に失敗しました。入出力例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH08");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogProgramMessage], key[MBLGCH09]
     *
     * [予期せぬ入出力例外が発生:{0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGCH09]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgch09(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "予期せぬ入出力例外が発生:{0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGCH09");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }
}
